<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.14" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcyhal__sdio__t" kind="struct" language="C++" prot="public">
    <compoundname>cyhal_sdio_t</compoundname>
    <includes local="no">cyhal_hw_types.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcyhal__sdio__t_1ac4b575bfe95953180357fc511f1e5914" kind="variable" mutable="no" prot="public" static="no">
        <type>SDHC_Type *</type>
        <definition>SDHC_Type* cyhal_sdio_t::base</definition>
        <argsstring />
        <name>base</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" bodystart="628" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" line="628" />
      </memberdef>
      <memberdef id="structcyhal__sdio__t_1a6cfdc4e7436bee85524491bcbaa71f3d" kind="variable" mutable="no" prot="public" static="no">
        <type>bool</type>
        <definition>bool cyhal_sdio_t::emmc</definition>
        <argsstring />
        <name>emmc</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" bodystart="629" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" line="629" />
      </memberdef>
      <memberdef id="structcyhal__sdio__t_1ad85bb812245a8b5e46d611db6872e3f3" kind="variable" mutable="no" prot="public" static="no">
        <type>cy_en_sd_host_dma_type_t</type>
        <definition>cy_en_sd_host_dma_type_t cyhal_sdio_t::dmaType</definition>
        <argsstring />
        <name>dmaType</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" bodystart="630" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" line="630" />
      </memberdef>
      <memberdef id="structcyhal__sdio__t_1abbfdd2921695a42d9bef2aa0bf9bbfed" kind="variable" mutable="no" prot="public" static="no">
        <type>cy_stc_sd_host_context_t</type>
        <definition>cy_stc_sd_host_context_t cyhal_sdio_t::context</definition>
        <argsstring />
        <name>context</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" bodystart="631" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" line="631" />
      </memberdef>
      <memberdef id="structcyhal__sdio__t_1a8d8c01a75bd5d523cd9278d41eee7da3" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcyhal__clock__t">cyhal_clock_t</ref></type>
        <definition>cyhal_clock_t cyhal_sdio_t::clock</definition>
        <argsstring />
        <name>clock</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" bodystart="641" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" line="641" />
      </memberdef>
      <memberdef id="structcyhal__sdio__t_1a722e1255e00bdf81242a40eda39e2290" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcyhal__resource__inst__t">cyhal_resource_inst_t</ref></type>
        <definition>cyhal_resource_inst_t cyhal_sdio_t::resource</definition>
        <argsstring />
        <name>resource</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" bodystart="642" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" line="642" />
      </memberdef>
      <memberdef id="structcyhal__sdio__t_1a2ee725f184bcac8b12f8ea1a2eeb2635" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__hal__impl__pin__package__psoc6__01__104__m__csp__ble_1ga707195ce0627016bf371643bdd9caa51">cyhal_gpio_t</ref></type>
        <definition>cyhal_gpio_t cyhal_sdio_t::pin_clk</definition>
        <argsstring />
        <name>pin_clk</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" bodystart="643" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" line="643" />
      </memberdef>
      <memberdef id="structcyhal__sdio__t_1a6e03fcad3619f23a805c9f0f4cef84e3" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__hal__impl__pin__package__psoc6__01__104__m__csp__ble_1ga707195ce0627016bf371643bdd9caa51">cyhal_gpio_t</ref></type>
        <definition>cyhal_gpio_t cyhal_sdio_t::pin_cmd</definition>
        <argsstring />
        <name>pin_cmd</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" bodystart="644" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" line="644" />
      </memberdef>
      <memberdef id="structcyhal__sdio__t_1ae6e6a56a702ec396296b3157a2461077" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__hal__impl__pin__package__psoc6__01__104__m__csp__ble_1ga707195ce0627016bf371643bdd9caa51">cyhal_gpio_t</ref></type>
        <definition>cyhal_gpio_t cyhal_sdio_t::pin_data0</definition>
        <argsstring />
        <name>pin_data0</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" bodystart="645" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" line="645" />
      </memberdef>
      <memberdef id="structcyhal__sdio__t_1a0d6a82b63f847fd52e6f9834c257d568" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__hal__impl__pin__package__psoc6__01__104__m__csp__ble_1ga707195ce0627016bf371643bdd9caa51">cyhal_gpio_t</ref></type>
        <definition>cyhal_gpio_t cyhal_sdio_t::pin_data1</definition>
        <argsstring />
        <name>pin_data1</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" bodystart="646" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" line="646" />
      </memberdef>
      <memberdef id="structcyhal__sdio__t_1a933ec9a436f9ddd1ee2321871bdcbf5f" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__hal__impl__pin__package__psoc6__01__104__m__csp__ble_1ga707195ce0627016bf371643bdd9caa51">cyhal_gpio_t</ref></type>
        <definition>cyhal_gpio_t cyhal_sdio_t::pin_data2</definition>
        <argsstring />
        <name>pin_data2</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" bodystart="647" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" line="647" />
      </memberdef>
      <memberdef id="structcyhal__sdio__t_1a9268ca2e6abbe7873c914ce6cb85d18d" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__hal__impl__pin__package__psoc6__01__104__m__csp__ble_1ga707195ce0627016bf371643bdd9caa51">cyhal_gpio_t</ref></type>
        <definition>cyhal_gpio_t cyhal_sdio_t::pin_data3</definition>
        <argsstring />
        <name>pin_data3</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" bodystart="648" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" line="648" />
      </memberdef>
      <memberdef id="structcyhal__sdio__t_1a1575bc5e8889960f5d34d3e7926a1931" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cyhal_sdio_t::frequencyhal_hz</definition>
        <argsstring />
        <name>frequencyhal_hz</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" bodystart="650" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" line="650" />
      </memberdef>
      <memberdef id="structcyhal__sdio__t_1aff42f0fd4ff5e0026f7532469d829f08" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t cyhal_sdio_t::block_size</definition>
        <argsstring />
        <name>block_size</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" bodystart="651" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" line="651" />
      </memberdef>
      <memberdef id="structcyhal__sdio__t_1aa69c64759bc59b3836ce07317ca735bc" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cyhal_sdio_t::irq_cause</definition>
        <argsstring />
        <name>irq_cause</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" bodystart="652" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" line="652" />
      </memberdef>
      <memberdef id="structcyhal__sdio__t_1acb9a4e41a6c52418ccd92285f5eadde0" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cyhal_sdio_t::events</definition>
        <argsstring />
        <name>events</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" bodystart="654" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" line="654" />
      </memberdef>
      <memberdef id="structcyhal__sdio__t_1a8eaf2c237cb6229a06e774981c39f081" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcyhal__event__callback__data__t">cyhal_event_callback_data_t</ref></type>
        <definition>cyhal_event_callback_data_t cyhal_sdio_t::callback_data</definition>
        <argsstring />
        <name>callback_data</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" bodystart="655" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" line="655" />
      </memberdef>
      <memberdef id="structcyhal__sdio__t_1a111804ebe1aa7e58e09c0d6398479f9d" kind="variable" mutable="no" prot="public" static="no">
        <type>bool</type>
        <definition>bool cyhal_sdio_t::pm_transition_pending</definition>
        <argsstring />
        <name>pm_transition_pending</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" bodystart="657" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" line="657" />
      </memberdef>
      <memberdef id="structcyhal__sdio__t_1a984a30a6c7f6ea79ea8f2bb2347f0dd4" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcyhal__syspm__callback__data__t">cyhal_syspm_callback_data_t</ref></type>
        <definition>cyhal_syspm_callback_data_t cyhal_sdio_t::pm_callback_data</definition>
        <argsstring />
        <name>pm_callback_data</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" bodystart="658" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" line="658" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>SDIO object. </para>    </briefdescription>
    <detaileddescription>
<para>Application code should not rely on the specific contents of this struct. They are considered an implementation detail which is subject to change between platforms and/or HAL releases. </para>    </detaileddescription>
    <collaborationgraph>
      <node id="144">
        <label>cyhal_resource_inst_t</label>
        <link refid="structcyhal__resource__inst__t" />
      </node>
      <node id="142">
        <label>cyhal_syspm_callback_data_t</label>
        <link refid="structcyhal__syspm__callback__data__t" />
      </node>
      <node id="143">
        <label>cyhal_event_callback_data_t</label>
        <link refid="structcyhal__event__callback__data__t" />
      </node>
      <node id="141">
        <label>cyhal_sdio_t</label>
        <link refid="structcyhal__sdio__t" />
        <childnode refid="142" relation="usage">
          <edgelabel>pm_callback_data</edgelabel>
        </childnode>
        <childnode refid="143" relation="usage">
          <edgelabel>callback_data</edgelabel>
        </childnode>
        <childnode refid="144" relation="usage">
          <edgelabel>resource</edgelabel>
        </childnode>
      </node>
    </collaborationgraph>
    <location bodyend="662" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" bodystart="626" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" line="626" />
    <listofallmembers>
      <member prot="public" refid="structcyhal__sdio__t_1ac4b575bfe95953180357fc511f1e5914" virt="non-virtual"><scope>cyhal_sdio_t</scope><name>base</name></member>
      <member prot="public" refid="structcyhal__sdio__t_1aff42f0fd4ff5e0026f7532469d829f08" virt="non-virtual"><scope>cyhal_sdio_t</scope><name>block_size</name></member>
      <member prot="public" refid="structcyhal__sdio__t_1a8eaf2c237cb6229a06e774981c39f081" virt="non-virtual"><scope>cyhal_sdio_t</scope><name>callback_data</name></member>
      <member prot="public" refid="structcyhal__sdio__t_1a8d8c01a75bd5d523cd9278d41eee7da3" virt="non-virtual"><scope>cyhal_sdio_t</scope><name>clock</name></member>
      <member prot="public" refid="structcyhal__sdio__t_1abbfdd2921695a42d9bef2aa0bf9bbfed" virt="non-virtual"><scope>cyhal_sdio_t</scope><name>context</name></member>
      <member prot="public" refid="structcyhal__sdio__t_1ad85bb812245a8b5e46d611db6872e3f3" virt="non-virtual"><scope>cyhal_sdio_t</scope><name>dmaType</name></member>
      <member prot="public" refid="structcyhal__sdio__t_1a6cfdc4e7436bee85524491bcbaa71f3d" virt="non-virtual"><scope>cyhal_sdio_t</scope><name>emmc</name></member>
      <member prot="public" refid="structcyhal__sdio__t_1acb9a4e41a6c52418ccd92285f5eadde0" virt="non-virtual"><scope>cyhal_sdio_t</scope><name>events</name></member>
      <member prot="public" refid="structcyhal__sdio__t_1a1575bc5e8889960f5d34d3e7926a1931" virt="non-virtual"><scope>cyhal_sdio_t</scope><name>frequencyhal_hz</name></member>
      <member prot="public" refid="structcyhal__sdio__t_1aa69c64759bc59b3836ce07317ca735bc" virt="non-virtual"><scope>cyhal_sdio_t</scope><name>irq_cause</name></member>
      <member prot="public" refid="structcyhal__sdio__t_1a2ee725f184bcac8b12f8ea1a2eeb2635" virt="non-virtual"><scope>cyhal_sdio_t</scope><name>pin_clk</name></member>
      <member prot="public" refid="structcyhal__sdio__t_1a6e03fcad3619f23a805c9f0f4cef84e3" virt="non-virtual"><scope>cyhal_sdio_t</scope><name>pin_cmd</name></member>
      <member prot="public" refid="structcyhal__sdio__t_1ae6e6a56a702ec396296b3157a2461077" virt="non-virtual"><scope>cyhal_sdio_t</scope><name>pin_data0</name></member>
      <member prot="public" refid="structcyhal__sdio__t_1a0d6a82b63f847fd52e6f9834c257d568" virt="non-virtual"><scope>cyhal_sdio_t</scope><name>pin_data1</name></member>
      <member prot="public" refid="structcyhal__sdio__t_1a933ec9a436f9ddd1ee2321871bdcbf5f" virt="non-virtual"><scope>cyhal_sdio_t</scope><name>pin_data2</name></member>
      <member prot="public" refid="structcyhal__sdio__t_1a9268ca2e6abbe7873c914ce6cb85d18d" virt="non-virtual"><scope>cyhal_sdio_t</scope><name>pin_data3</name></member>
      <member prot="public" refid="structcyhal__sdio__t_1a984a30a6c7f6ea79ea8f2bb2347f0dd4" virt="non-virtual"><scope>cyhal_sdio_t</scope><name>pm_callback_data</name></member>
      <member prot="public" refid="structcyhal__sdio__t_1a111804ebe1aa7e58e09c0d6398479f9d" virt="non-virtual"><scope>cyhal_sdio_t</scope><name>pm_transition_pending</name></member>
      <member prot="public" refid="structcyhal__sdio__t_1a722e1255e00bdf81242a40eda39e2290" virt="non-virtual"><scope>cyhal_sdio_t</scope><name>resource</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>